matplotlib
numpy

The following libraries are optional. They are necessary for (sometimes very) specific classes/functions.

Computer Vision (cvutils.py): opencv, scikit-image
Statistics and machine learning (ml.py): scipy, scikit-learn
Moving object geometry (currently commented) (moving.py) and plotting shapely polygons (utils.py): shapely
Tabular data loading/processing (storage.py): pandas
